from axipy import provider_manager, LineString, Feature

from ru_axioma_gis_loadOsm.ui.tools.add_helper.helper_relation import xml_dict_relationPoints

path_source=r"E:\Download\OSM\relation_13704574.xml"
text=None
with open(path_source, "r", encoding="utf-8") as f:
    text = f.read()
obj_points=xml_dict_relationPoints(text)
path_out_table=r"E:\Download\OSM\osm_import\TempTable\test_ralation.tab"
tab=provider_manager.openfile(path_out_table)
for id,way in enumerate(obj_points):
    way_id=way['way_id']
    points_obj=way['points']
    pnts=[]
    for pt in points_obj:
        pnts.append((pt['x'],pt['y']))
    geo=LineString(pnts,tab.coordsystem)
    ft=Feature({'ID':id,'way':way_id},geometry=geo)
    tab.insert(ft)

