import axipy
from axipy import provider_manager, Feature
from shapely import LineString, multilinestrings, line_merge

from ru_axioma_gis_loadOsm.ui.tools.add_helper.helper_relation import OSMPythonToolsObject

id_rel=13704574
obj_Osm=OSMPythonToolsObject()
points_ways=obj_Osm.getGeometryRelation(id_rel)
IsClockwise=None
list_lineString=[]
for id,way in enumerate(points_ways):

    ln_pnt=[]
    for pnt in way['points']:

        ln_pnt.append((pnt['x'],pnt['y']))
    line_string_way=LineString(ln_pnt)
    list_lineString.append(line_string_way)
geo_common=multilinestrings(list_lineString)
geo_new=line_merge(geo_common)
path_out_table=r"E:\Download\OSM\osm_import\TempTable\test_rael_way.tab"
tab=provider_manager.openfile(path_out_table)
wkb_geo=geo_new.wkb
axi_geo=axipy.Geometry.from_wkb(wkb_geo,coordsystem=tab.coordsystem)
ft=Feature({'ID':1,'way':str(id_rel)},geometry=axi_geo)
tab.insert(ft)
print("end")

