from osgeo import ogr

from ru_axioma_gis_loadOsm.ui.tools.add_helper.handlers_ogr import DbOgr
def updateGeometryByFid(layer,fid,geometry):
    feature = layer.GetFeature(fid)
    if feature is None:
        return False
    feature.SetGeometry(geometry)
    layer.SetFeature(feature)
    return True
path_db=r"E:\Download\OSM\osm_import\old_bounds_north-caucasus-fed-district-latest.gpkg"
db_ogr=DbOgr(None)
db_ogr.open(path_db)
name_layer='data_osm'
sql="SELECT fid ,id,JSON_EXTRACT ([info_json], '$.boundary') AS boundary from data_osm where type_object=4"
layer=db_ogr.getLayer(name_layer)
layer_sql=db_ogr.runSql(sql)
geo_point= ogr.Geometry(ogr.wkbPoint)
geo_point.AddPoint_2D(44.0926205595382,43.6158629720951)
for ft in layer_sql:
    fid=ft.GetFID()
    id_osm=ft.GetField('id')
    #geo_realation=getGeometryRelation(osmfile,id_relation)
    updateGeometryByFid(layer,fid,geo_point)

    jkl=0
    break
db_ogr.close()