from datetime import datetime

import axipy
from axipy import provider_manager, Feature

from ru_axioma_gis_loadOsm.ui.tools.add_helper.relationDb import RelationDb

osmfile =r"E:\Download\OSM\north-caucasus-fed-district-latest.osm.pbf"
path_db_relation=r"E:\Download\OSM\osm_import\relationX_north-caucasus-fed-district-latest.osm.gpkg"
path_db_relation=r"E:\Download\OSM\osm_import\relation_north-caucasus-fed-district-latest.osm.gpkg"
id_relation=13704574
id_relation_1=1059350
id_relation_2=1059355
id_relation_3=1030156
start_time= datetime.now()
db_relation=RelationDb(path_db_relation,osmfile,True)
geometry_list=db_relation.getGeometryRelation(id_relation_3,False)
path_out_table=r"E:\Download\OSM\osm_import\TempTable\test_ralation_way_new.tab"
tab=provider_manager.openfile(path_out_table)
for i,geo in enumerate(geometry_list):
    wkb_geo = geo.wkb
    axi_geo = axipy.Geometry.from_wkb(wkb_geo, coordsystem=tab.coordsystem)
    ft = Feature({'ID': i}, geometry=axi_geo)
    tab.insert(ft)
db_relation.close()
end_time= datetime.now()
delta_time=end_time-start_time
print(delta_time)
print("end")
