from osgeo import ogr

from ru_axioma_gis_loadOsm.ui.tools.add_helper.handlers_ogr import DbOgr
from ru_axioma_gis_loadOsm.ui.tools.add_helper.relationDb import RelationDb
def updateGeometryByFid(layer,fid,geometry):
    feature = layer.GetFeature(fid)
    if feature is None:
        return False
    feature.SetGeometry(geometry)
    layer.SetFeature(feature)
    return True
osmfile =r"E:\Download\OSM\north-caucasus-fed-district-latest.osm.pbf"
path_db_relation=r"E:\Download\OSM\osm_import\relation_north-caucasus-fed-district-latest.osm.gpkg"
path_db_base=r"E:\Download\OSM\osm_import\north-caucasus-fed-district-latest_osm_boundary_relation.gpkg"
db_ogr=DbOgr(None)
db_ogr.open(path_db_base)
name_layer='boundary_data'
layer=db_ogr.getLayer(name_layer)
id_relation=1030156
fid=10684
db_relation=RelationDb(path_db_relation,osmfile,False)
geometry=db_relation.getGeometryRelation(id_relation)

if geometry is  not None:

    ogr_geo=ogr.CreateGeometryFromWkb(geometry.wkb)
    updateGeometryByFid(layer,fid,ogr_geo)
    geometry = None
    ogr_geo = None
layer=None
db_ogr.close()
print("end")
