from axipy import provider_manager, LineString, Feature

from ru_axioma_gis_loadOsm.ui.tools.add_helper.helper_relation import OSMPythonToolsObject

id_rel=13704574
obj_Osm=OSMPythonToolsObject()
points=obj_Osm.getGeometryRelation(id_rel)
path_out_table=r"E:\Download\OSM\osm_import\TempTable\test_rael_way.tab"
tab=provider_manager.openfile(path_out_table)
all_points=[]
common_geo=None
for id,way in enumerate(points):

    pnts=[]
    for pnt in way['points']:
        pnts.append((pnt['x'],pnt['y']))
        all_points.append((pnt['x'],pnt['y']))
    geo=LineString(pnts,tab.coordsystem)
    if common_geo is None:
        common_geo=geo
    else:
        common_geo=common_geo.union(geo)
    ft=Feature({'ID':id,'way':way['way']},geometry=geo)
    tab.insert(ft)
#geo=LineString(all_points,tab.coordsystem)
ft=Feature({'ID':0,'way':str(id_rel)},geometry=common_geo)
tab.insert(ft)
