from osgeo import ogr

from ru_axioma_gis_loadOsm.ui.tools.add_helper.db.dbTools import DbTools
from ru_axioma_gis_loadOsm.ui.tools.add_helper.handlers_ogr import DbOgr
from ru_axioma_gis_loadOsm.ui.tools.add_helper.relation_tools import getGeometryRelation


def updateGeometryByFid(layer,fid,geometry):
    feature = layer.GetFeature(fid)
    if feature is None:
        return False
    feature.SetGeometry(geometry)
    layer.SetFeature(feature)
    return True
path_db=r"E:\Download\OSM\osm_import\old_bounds_north-caucasus-fed-district-latest.gpkg"
osmfile =r"E:\Download\OSM\north-caucasus-fed-district-latest.osm.pbf"
db_ogr=DbOgr(None)
db_ogr.open(path_db)
name_layer='data_osm'
db=DbTools(path_db)
sql="SELECT fid ,id,JSON_EXTRACT ([info_json], '$.boundary') AS boundary from data_osm where type_object=4"
sql="select fid,id,cast(JSON_EXTRACT ([info_json], '$.admin_level') AS INTEGER ) AS [admin_level]  from data_osm where osm_type='relation' and admin_level=6"
layer=db_ogr.getLayer(name_layer)
#layer_sql=db_ogr.runSql(sql)
rows=db.select(sql)
db.close()
#for ft in layer_sql:
for row in rows:
    #fid=ft.GetFID()
    #id_osm=ft.GetField('id')

    fid=row[0]
    id_osm=row[1]
    print("Start fid="+str(fid))
    geo_realation=getGeometryRelation(osmfile,id_osm)
    if geo_realation is None:
        continue
    ogr_geo=ogr.CreateGeometryFromWkb(geo_realation.wkb)
    updateGeometryByFid(layer,fid,ogr_geo)
    geo_realation=None
    ogr_geo=None
    print("End fid="+str(fid))
    #break
db_ogr.close()
print("End")