import json
import os
from pathlib import Path

from PySide2.QtCore import QObject

from ru_axioma_gis_loadOsm.ui.tools.add_helper.property_inport import factoryRpopertyImport
from ru_axioma_gis_loadOsm.ui.tools.loadOsm import LoaderOsm


class TestObject(QObject):
    def __init__(self):
        super().__init__()
        self.__cls_run=None
    def run(self):

        path_db_osm = r"E:\Download\OSM\osm_import\old_andorra-latest.osm.pbf.gpkg"
        path_db_osm = r"E:\Download\OSM\osm_import\bounds_north-caucasus-fed-district-latest.gpkg"
        osmfile = r"E:\Download\OSM\andorra-latest.osm.pbf"
        osmfile=r"E:\Download\OSM\north-caucasus-fed-district-latest.osm.pbf"
        if Path(path_db_osm).exists():
            os.remove(path_db_osm)
        path_inport_property = r"C:\Rubtsov\Python\AxiomaPlugins\ru_axioma_gis_loadOsm\ui\initDataConfig\filter_boundary.json"
        name_layer="data_osm"
        js_obj = None
        with open(path_inport_property, encoding='utf-8') as fh:
            js_obj = json.load(fh)
        cls_import = factoryRpopertyImport(js_obj)
        cls_import.base_tag="boundary"
        self.__cls_run =  LoaderOsm()
        self.__cls_run.run_import(osmfile,path_db_osm,name_layer,cls_import)
        #self.__cls_run.run()
        self.__cls_run.update_progess.connect(self.update_progess)

    def update_progess(self,value):
        print(value)
        if value>10000:
            self.__cls_run.setIsCancel()
cls_temp=TestObject()
cls_temp.run()
print("End")