import os

from PySide2.QtCore import QFile
from PySide2.QtUiTools import QUiLoader
from PySide2.QtWidgets import QWidget

from ru_axioma_gis_loadOsm.ui.widgetCreateView import DlgCreateView
from ru_axioma_gis_loadOsm.ui.widgetLoadOsm import DlgLoadOsm


class MainFromOsm(QWidget):
    def __init__(self,parent_plugin,parent=None):
        super().__init__(parent)
        self.__ui=self.load_ui("tool_osm.ui",parent)
        self.__widget_load_osm=DlgLoadOsm(parent_plugin,self.__ui.tabWidget)
        self.__widget_load_osm = DlgCreateView( self.__ui.tabWidget)
    def load_ui(self,name_resource,parent):
        loader = QUiLoader()
        path = os.path.join(os.path.dirname(__file__),name_resource)
        ui_file = QFile(path)
        ui_file.open(QFile.ReadOnly)
        ui  = loader.load(ui_file,parent)
        ui_file.close()
        return ui
    @property
    def widget(self):
        return self.__ui