import axipy
from axipy import CoordSystem
from osgeo import ogr


def getSelectionPolygon():
    list_ft=list(axipy.selection_manager.get_as_cursor())
    geo_axi=list_ft[0].geometry
    cs_geo=geo_axi.coordsystem
    epsg=cs_geo.epsg
    if epsg!=4326:
        geo_axi=geo_axi.reproject(CoordSystem.from_epsg(4326))
    geo_ogr=ogr.CreateGeometryFromWkb(geo_axi.wkb)
    return geo_ogr